VERSION 5.00
Begin VB.Form frmContents 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Contents"
   ClientHeight    =   3195
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstFields 
      Height          =   2790
      Left            =   2280
      TabIndex        =   3
      Top             =   240
      Width           =   2295
   End
   Begin VB.ListBox lstTables 
      Height          =   2790
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   2055
   End
   Begin VB.Label Label2 
      Caption         =   "Fields:"
      Height          =   255
      Left            =   2280
      TabIndex        =   2
      Top             =   0
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "Tables:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   0
      Width           =   855
   End
End
Attribute VB_Name = "frmContents"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Simple (and very quick) implementation of something to test SQL queries on a microsoft access database.
' - This displays the tables and fields availible when a valid file is selected.

Option Explicit

' The database object for the current database
Private mDatabase As Database

Private Sub Form_Load()
    ' Make sure the lists are clear
    lstTables.Clear
    lstFields.Clear
End Sub

Public Property Let DatabaseFileName(theFileName As String)
    Dim Index As Integer

    On Error GoTo INVALIDATABASE

    ' Remove any existing information - it's a new database
    Set mDatabase = Nothing
    ' Clear the lists - they are invalid
    lstTables.Clear
    lstFields.Clear
    ' Open the new database
    Set mDatabase = OpenDatabase(theFileName)
    ' Add the tables to the table list
    For Index = 0 To mDatabase.TableDefs.Count - 1
        lstTables.AddItem mDatabase.TableDefs(Index).Name
    Next
    ' Show the form
    Show
    
    Exit Property
    
INVALIDATABASE:
    ' Hide the form - it's not got valid data
    Hide

End Property


Private Sub lstFields_DblClick()
    ' Add the field to the query text
    frmMain.txtSQLQuery = frmMain.txtSQLQuery.Text & "[" & lstFields.List(lstFields.ListIndex) & "]"
End Sub

Private Sub lstTables_Click()
    Dim Index As Integer

    ' Update the fields list for the selected table.
    lstFields.Clear
    If lstTables.ListIndex >= 0 Then
        ' Loop round the fields, adding to the field list
        For Index = 0 To mDatabase.TableDefs(lstTables.ListIndex).Fields.Count - 1
            lstFields.AddItem mDatabase.TableDefs(lstTables.ListIndex).Fields(Index).Name
        Next
    End If
End Sub

Private Sub lstTables_DblClick()
    If lstTables.ListIndex >= 0 Then
        ' Add the table to the query
        frmMain.txtSQLQuery.Text = frmMain.txtSQLQuery.Text & "[" & lstTables.List(lstTables.ListIndex) & "]"
    End If
End Sub
